Page MenuHomePhabricator

Create a project for data exploration or investigation tasks
Closed, ResolvedPublic

Description

This would collect tasks which are general investigations of an interesting topic, without a well-defined scope, deadline, or deliverable. Therefore, they're distinct from other tasks in that (1) they could be a good fit for spare time on a Friday and (2) they could be interesting to other analysts or researchers, including interns.

Current examples includes:

Event Timeline

nshahquinn-wmf moved this task from Triage to Backlog on the Product-Analytics board.
Vvjjkkii renamed this task from Create a project for data exploration or investigation tasks to tvbaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii removed nshahquinn-wmf as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from tvbaaaaaaa to Create a project for data exploration or investigation tasks.Jul 2 2018, 1:48 PM
CommunityTechBot assigned this task to nshahquinn-wmf.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)

@Halfak, @DarTar, do the tasks above seem like a good fit for the Research ideas project?

I think so, thanks @Neil_P._Quinn_WMF. I've been thinking of a minimal template we could use to populate individual cards about research ideas and make them more user-story-ish (there's the work @Capt_Swing has done with the IdeaLab that one could draw inspiration from, for starters). Without overengineering this (which would defy the purpose), do you think it would be useful to structure these cards using 3 simple questions:

What do we want to know?

(i.e. the research question)

Why does it matter?

(i.e. what happens if we answer this question? who cares?)

What are existing data sources that could help answer this question?

(this may be relevant to people – future interns, external researchers, new f/t researchers being onboarded– exploring existing data one could use to work on this idea)

nshahquinn-wmf added a comment.EditedJul 31 2018, 4:53 AM

What do we want to know?

(i.e. the research question)

Why does it matter?

(i.e. what happens if we answer this question? who cares?)

What are existing data sources that could help answer this question?

(this may be relevant to people – future interns, external researchers, new f/t researchers being onboarded– exploring existing data one could use to work on this idea)

This seems like a good direction to me! The only change I'd suggest is making the third question "What methods or data sources might be used to find the answer?" since I can imagine some ideas involving not just analysis of existing data, but new data collection like surveys, user interviews, or instrumentation.

Also, I think it would be worth emphasizing that these ideas shouldn't have a fixed deadline or dependency, since we want proposers to be aware work or results are in no way guaranteerd and researchers or interns to be able to pick these up without feeling rigid obligations. I tried to express this as tasks "without a well-defined scope, deadline, or deliverable" aspect, but there's probably a better way to put it.

nshahquinn-wmf closed this task as Resolved.Aug 24 2018, 8:21 PM

Okay, it looks like Research ideas is a good answer to this question right now. I've tagged the tasks mentioned in the description with it, and I've also updated the project description based on the discussion above:

This board is meant to capture ideas for Wikimedia research that could be picked up by any researcher, including interns, external researchers, and new Wikimedia Foundation staff being onboarded. This means that ideas with a urgent deadline or ideas that a someone already has a clear plan to work on aren't good fits for this board.

Make tasks detailed enough for a researcher to evaluate how difficult and interesting they would be. Try to answer the following questions:

  • What do we want to know? What's the research question?
  • Why does it matter? What happens if we answer this question? who cares?)
  • What methods or data could be used to find an answer? What do we already have, and what would a researcher need to add?
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 24 2018, 8:21 PM